Get an access token (OAuth 2.0 client credentials)
Response field names follow RFC 6749 and are therefore snake_case.
Body
required
application/json
Responses
- application/json
- application/problem+json
Request Example for post/oauth/token
curl https://api.eno.health/oauth/token \
--request POST \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=' \
--data-urlencode 'client_secret=' \
--data-urlencode 'scope=users:write documents:write health:read'
{
"access_token": "string",
"token_type": "Bearer",
"expires_in": 3600,
"scope": "string"
}